module Colors exposing (..)

import Element


primary : Element.Color
primary =
    Element.rgb255 50 115 220


primaryOver : Element.Color
primaryOver =
    Element.rgb255 35 102 209


white : Element.Color
white =
    Element.rgb255 255 255 255


red : Element.Color
red =
    Element.rgb255 255 0 0


greyBackground : Element.Color
greyBackground =
    Element.rgba255 0 0 0 0.7


background : Bool -> Element.Color
background darkMode =
    if darkMode then
        Element.rgb255 47 49 54

    else
        Element.rgb255 245 245 245


font : Bool -> Element.Color
font darkMode =
    if darkMode then
        Element.rgb255 245 245 245

    else
        Element.rgb255 54 57 63


detailFont : Bool -> Element.Color
detailFont darkMode =
    if darkMode then
        Element.rgb255 160 160 160

    else
        Element.rgb255 128 128 128


selected : Bool -> Element.Color
selected darkMode =
    if darkMode then
        Element.rgb255 64 68 75

    else
        Element.rgb255 223 233 250
